//Table inc file

//Table

//Texture
#declare WoodTex = T_Wood32

//Inlay
#declare Inlay = difference {
                      box {<-7,0.6,-11.5> <7,0.75,11.5> texture {T_Brass_2B} } 
                      box {<-6.5,0.,-11> <6.5,1,11> texture {T_Brass_2B} }
                      }
//Top
#declare Top = union {
                     difference {
                     box {<-7.5,0,-12> <7.5,0.75,12> texture {WoodTex scale<50,1,50> rotate<0,90,4> translate<10,10,0>} }
                     object {Inlay}
                     }
                     cylinder {<-7.5,0.375,-12>, <7.5,0.35,-12>, 0.375 
                                texture {WoodTex scale<1,1,24> rotate<0,90,0>}}
                     cylinder {<-7.5,0.375,12>, <7.5,0.35,12>, 0.375 
                                texture {WoodTex scale<1,1,24> rotate<0,90,0>}}   
                     cylinder {<-7.5,0.375,-12>, <-7.5,0.35,12>, 0.375 
                                texture {WoodTex scale<15,1,1> }}   
                     cylinder {<7.5,0.375,-12>, <7.5,0.35,12>, 0.375 
                                texture {WoodTex scale<15,1,1> }}  
                     sphere {<-7.5,0.375,-12> 0.375 texture {WoodTex }}
                     sphere {<-7.5,0.375,12> 0.375 texture {WoodTex }} 
                     sphere {<7.5,0.375,-12> 0.375 texture {WoodTex }} 
                     sphere {<7.5,0.375,12> 0.375 texture {WoodTex }} 
                      }

//Mat
#declare Mat = union {
                     box {<-6.25,0,-10.25> <6.25,0.125,10.25>}
                     box {<-5.75,0,-10.75> <5.75,0.125,10.75>}
                     cylinder {<-5.75,0,-10.25> <-5.75,0.125,-10.25>, 0.5}
                     cylinder {<-5.75,0,10.25> <-5.75,0.125,10.25>, 0.5}
                     cylinder {<5.75,0,10.25> <5.75,0.125,10.25>, 0.5}
                     cylinder {<5.75,0,-10.25> <5.75,0.125,-10.25>, 0.5}
                     texture {pigment {DarkOliveGreen } normal { bumps 0.3 scale 0.2 }}
                     }
                     
//Shelf
#declare Shelf = box {<-6.5,0,-11> <6.5,0.75,11> texture {WoodTex scale<50,1,50> rotate<0,90,4> translate<10,10,0>}}

//Leg
#declare Leg = box {<-1,0,-1> <1,31.25,1> texture {WoodTex scale<15,1,24> rotate<90,0,00>}}  

//Filler boards
#declare Short_Filler = box {<5.5,0,-0.25> <-5.5,3.5,0.25> texture {WoodTex scale<15,3.5,1> rotate<0,90,00>}}
#declare Long_Filler = box {<-0.25,0,-10> <0.05,3.5,10> texture {WoodTex scale<45,3.5,1> rotate<0,90,00>}}


#declare Table = union {
                object{Top translate<0,31.25,0>}
                object{Inlay translate<0,31.25,0>}
                object{Mat translate<0,32,0>}
                object{Leg translate<-6.5,0,-11>}
                object{Leg translate<-6.5,0,11>}
                object{Leg translate<6.5,0,-11>}
                object{Leg translate<6.5,0,11>}
                object{Short_Filler translate<0,27.75,-11.5>}
                object{Short_Filler translate<0,27.75,11.5>}
                object{Long_Filler translate<7,27.75,0>}
                object{Long_Filler translate<-7,27.75,0>}
                object{Shelf translate<0,5.25,0>}
                }
                 